<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg12.php" ?>
<?php include_once ((EW_USE_ADODB) ? "adodb5/adodb.inc.php" : "ewmysql12.php") ?>
<?php include_once "phpfn12.php" ?>
<?php include_once "consulta_final_2018info.php" ?>
<?php include_once "userfn12.php" ?>
<?php

//
// Page class
//

$consulta_final_2018_delete = NULL; // Initialize page object first

class cconsulta_final_2018_delete extends cconsulta_final_2018 {

	// Page ID
	var $PageID = 'delete';

	// Project ID
	var $ProjectID = "{612F4CEC-277D-477B-ABAC-2B8738F52202}";

	// Table name
	var $TableName = 'consulta_final_2018';

	// Page object name
	var $PageObjName = 'consulta_final_2018_delete';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Methods to clear message
	function ClearMessage() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
	}

	function ClearFailureMessage() {
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
	}

	function ClearSuccessMessage() {
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
	}

	function ClearWarningMessage() {
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	function ClearMessages() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sMessage;
			$html .= "<div class=\"alert alert-info ewInfo\">" . $sMessage . "</div>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sWarningMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sWarningMessage;
			$html .= "<div class=\"alert alert-warning ewWarning\">" . $sWarningMessage . "</div>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sSuccessMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sSuccessMessage;
			$html .= "<div class=\"alert alert-success ewSuccess\">" . $sSuccessMessage . "</div>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sErrorMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sErrorMessage;
			$html .= "<div class=\"alert alert-danger ewError\">" . $sErrorMessage . "</div>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p>" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Footer exists, display
			echo "<p>" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}
	var $Token = "";
	var $TokenTimeout = 0;
	var $CheckToken = EW_CHECK_TOKEN;
	var $CheckTokenFn = "ew_CheckToken";
	var $CreateTokenFn = "ew_CreateToken";

	// Valid Post
	function ValidPost() {
		if (!$this->CheckToken || !ew_IsHttpPost())
			return TRUE;
		if (!isset($_POST[EW_TOKEN_NAME]))
			return FALSE;
		$fn = $this->CheckTokenFn;
		if (is_callable($fn))
			return $fn($_POST[EW_TOKEN_NAME], $this->TokenTimeout);
		return FALSE;
	}

	// Create Token
	function CreateToken() {
		global $gsToken;
		if ($this->CheckToken) {
			$fn = $this->CreateTokenFn;
			if ($this->Token == "" && is_callable($fn)) // Create token
				$this->Token = $fn();
			$gsToken = $this->Token; // Save to global variable
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;
		$this->TokenTimeout = ew_SessionTimeoutTime();

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (consulta_final_2018)
		if (!isset($GLOBALS["consulta_final_2018"]) || get_class($GLOBALS["consulta_final_2018"]) == "cconsulta_final_2018") {
			$GLOBALS["consulta_final_2018"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["consulta_final_2018"];
		}

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'delete', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'consulta_final_2018', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect($this->DBID);
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsCustomExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"]; // Set up current action
		$this->ID_tabla->Visible = !$this->IsAdd() && !$this->IsCopy() && !$this->IsGridAdd();

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();

		// Check token
		if (!$this->ValidPost()) {
			echo $Language->Phrase("InvalidPostRequest");
			$this->Page_Terminate();
			exit();
		}

		// Create Token
		$this->CreateToken();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $gsExportFile, $gTmpImages;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		// Export
		global $EW_EXPORT, $consulta_final_2018;
		if ($this->CustomExport <> "" && $this->CustomExport == $this->Export && array_key_exists($this->CustomExport, $EW_EXPORT)) {
				$sContent = ob_get_contents();
			if ($gsExportFile == "") $gsExportFile = $this->TableVar;
			$class = $EW_EXPORT[$this->CustomExport];
			if (class_exists($class)) {
				$doc = new $class($consulta_final_2018);
				$doc->Text = $sContent;
				if ($this->Export == "email")
					echo $this->ExportEmail($doc->Text);
				else
					$doc->Export();
				ew_DeleteTmpImages(); // Delete temp images
				exit();
			}
		}
		$this->Page_Redirecting($url);

		 // Close connection
		ew_CloseConn();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $DbMasterFilter = "";
	var $DbDetailFilter = "";
	var $StartRec;
	var $TotalRecs = 0;
	var $RecCnt;
	var $RecKeys = array();
	var $Recordset;
	var $StartRowCnt = 1;
	var $RowCnt = 0;

	//
	// Page main
	//
	function Page_Main() {
		global $Language;

		// Set up Breadcrumb
		$this->SetupBreadcrumb();

		// Load key parameters
		$this->RecKeys = $this->GetRecordKeys(); // Load record keys
		$sFilter = $this->GetKeyFilter();
		if ($sFilter == "")
			$this->Page_Terminate("consulta_final_2018list.php"); // Prevent SQL injection, return to list

		// Set up filter (SQL WHHERE clause) and get return SQL
		// SQL constructor in consulta_final_2018 class, consulta_final_2018info.php

		$this->CurrentFilter = $sFilter;

		// Get action
		if (@$_POST["a_delete"] <> "") {
			$this->CurrentAction = $_POST["a_delete"];
		} else {
			$this->CurrentAction = "I"; // Display record
		}
		if ($this->CurrentAction == "D") {
			$this->SendEmail = TRUE; // Send email on delete success
			if ($this->DeleteRows()) { // Delete rows
				if ($this->getSuccessMessage() == "")
					$this->setSuccessMessage($Language->Phrase("DeleteSuccess")); // Set up success message
				$this->Page_Terminate($this->getReturnUrl()); // Return to caller
			} else { // Delete failed
				$this->CurrentAction = "I"; // Display record
			}
		}
		if ($this->CurrentAction == "I") { // Load records for display
			if ($this->Recordset = $this->LoadRecordset())
				$this->TotalRecs = $this->Recordset->RecordCount(); // Get record count
			if ($this->TotalRecs <= 0) { // No record found, exit
				if ($this->Recordset)
					$this->Recordset->Close();
				$this->Page_Terminate("consulta_final_2018list.php"); // Return to list
			}
		}
	}

	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {

		// Load List page SQL
		$sSql = $this->SelectSQL();
		$conn = &$this->Connection();

		// Load recordset
		$dbtype = ew_GetConnectionType($this->DBID);
		if ($this->UseSelectLimit) {
			$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
			if ($dbtype == "MSSQL") {
				$rs = $conn->SelectLimit($sSql, $rowcnt, $offset, array("_hasOrderBy" => trim($this->getOrderBy()) || trim($this->getSessionOrderBy())));
			} else {
				$rs = $conn->SelectLimit($sSql, $rowcnt, $offset);
			}
			$conn->raiseErrorFn = '';
		} else {
			$rs = ew_LoadRecordset($sSql, $conn);
		}

		// Call Recordset Selected event
		$this->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql, $conn);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->ID_tabla->setDbValue($rs->fields('ID_tabla'));
		$this->Codigo_prestador->setDbValue($rs->fields('Codigo_prestador'));
		$this->Tipo_id_usuario->setDbValue($rs->fields('Tipo_id_usuario'));
		$this->Numero_id_usuario->setDbValue($rs->fields('Numero_id_usuario'));
		$this->Fecha_consulta->setDbValue($rs->fields('Fecha_consulta'));
		$this->Codigo_consulta->setDbValue($rs->fields('Codigo_consulta'));
		$this->Finalidad_consulta->setDbValue($rs->fields('Finalidad_consulta'));
		$this->Causa_externa->setDbValue($rs->fields('Causa_externa'));
		$this->Codigo_diagnostico->setDbValue($rs->fields('Codigo_diagnostico'));
		$this->Tipo_diagnostico_principal->setDbValue($rs->fields('Tipo_diagnostico_principal'));
		$this->Edad->setDbValue($rs->fields('Edad'));
		$this->Unidad_edad->setDbValue($rs->fields('Unidad_edad'));
		$this->Sexo->setDbValue($rs->fields('Sexo'));
		$this->Zona_residencia->setDbValue($rs->fields('Zona_residencia'));
		$this->Tipo_Usuario->setDbValue($rs->fields('Tipo_Usuario'));
		$this->Codigo_eps->setDbValue($rs->fields('Codigo_eps'));
		$this->Causa_Completa->setDbValue($rs->fields('Causa_Completa'));
		$this->Id->setDbValue($rs->fields('Id'));
		$this->Letra->setDbValue($rs->fields('Letra'));
		$this->Numero->setDbValue($rs->fields('Numero'));
		$this->Codigo_tres->setDbValue($rs->fields('Codigo_tres'));
		$this->Titulo_codigo_tres->setDbValue($rs->fields('Titulo_codigo_tres'));
	}

	// Load DbValue from recordset
	function LoadDbValues(&$rs) {
		if (!$rs || !is_array($rs) && $rs->EOF) return;
		$row = is_array($rs) ? $rs : $rs->fields;
		$this->ID_tabla->DbValue = $row['ID_tabla'];
		$this->Codigo_prestador->DbValue = $row['Codigo_prestador'];
		$this->Tipo_id_usuario->DbValue = $row['Tipo_id_usuario'];
		$this->Numero_id_usuario->DbValue = $row['Numero_id_usuario'];
		$this->Fecha_consulta->DbValue = $row['Fecha_consulta'];
		$this->Codigo_consulta->DbValue = $row['Codigo_consulta'];
		$this->Finalidad_consulta->DbValue = $row['Finalidad_consulta'];
		$this->Causa_externa->DbValue = $row['Causa_externa'];
		$this->Codigo_diagnostico->DbValue = $row['Codigo_diagnostico'];
		$this->Tipo_diagnostico_principal->DbValue = $row['Tipo_diagnostico_principal'];
		$this->Edad->DbValue = $row['Edad'];
		$this->Unidad_edad->DbValue = $row['Unidad_edad'];
		$this->Sexo->DbValue = $row['Sexo'];
		$this->Zona_residencia->DbValue = $row['Zona_residencia'];
		$this->Tipo_Usuario->DbValue = $row['Tipo_Usuario'];
		$this->Codigo_eps->DbValue = $row['Codigo_eps'];
		$this->Causa_Completa->DbValue = $row['Causa_Completa'];
		$this->Id->DbValue = $row['Id'];
		$this->Letra->DbValue = $row['Letra'];
		$this->Numero->DbValue = $row['Numero'];
		$this->Codigo_tres->DbValue = $row['Codigo_tres'];
		$this->Titulo_codigo_tres->DbValue = $row['Titulo_codigo_tres'];
	}

	// Render row values based on field settings
	function RenderRow() {
		global $Security, $Language, $gsLanguage;

		// Initialize URLs
		// Call Row_Rendering event

		$this->Row_Rendering();

		// Common render codes for all row types
		// ID_tabla
		// Codigo_prestador
		// Tipo_id_usuario
		// Numero_id_usuario
		// Fecha_consulta
		// Codigo_consulta
		// Finalidad_consulta
		// Causa_externa
		// Codigo_diagnostico
		// Tipo_diagnostico_principal
		// Edad
		// Unidad_edad
		// Sexo
		// Zona_residencia
		// Tipo_Usuario
		// Codigo_eps
		// Causa_Completa
		// Id
		// Letra
		// Numero
		// Codigo_tres
		// Titulo_codigo_tres

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

		// ID_tabla
		$this->ID_tabla->ViewValue = $this->ID_tabla->CurrentValue;
		$this->ID_tabla->ViewCustomAttributes = "";

		// Codigo_prestador
		$this->Codigo_prestador->ViewValue = $this->Codigo_prestador->CurrentValue;
		$this->Codigo_prestador->ViewCustomAttributes = "";

		// Tipo_id_usuario
		$this->Tipo_id_usuario->ViewValue = $this->Tipo_id_usuario->CurrentValue;
		$this->Tipo_id_usuario->ViewCustomAttributes = "";

		// Numero_id_usuario
		$this->Numero_id_usuario->ViewValue = $this->Numero_id_usuario->CurrentValue;
		$this->Numero_id_usuario->ViewCustomAttributes = "";

		// Fecha_consulta
		$this->Fecha_consulta->ViewValue = $this->Fecha_consulta->CurrentValue;
		$this->Fecha_consulta->ViewCustomAttributes = "";

		// Codigo_consulta
		$this->Codigo_consulta->ViewValue = $this->Codigo_consulta->CurrentValue;
		$this->Codigo_consulta->ViewCustomAttributes = "";

		// Finalidad_consulta
		$this->Finalidad_consulta->ViewValue = $this->Finalidad_consulta->CurrentValue;
		$this->Finalidad_consulta->ViewCustomAttributes = "";

		// Causa_externa
		$this->Causa_externa->ViewValue = $this->Causa_externa->CurrentValue;
		$this->Causa_externa->ViewCustomAttributes = "";

		// Codigo_diagnostico
		$this->Codigo_diagnostico->ViewValue = $this->Codigo_diagnostico->CurrentValue;
		$this->Codigo_diagnostico->ViewCustomAttributes = "";

		// Tipo_diagnostico_principal
		$this->Tipo_diagnostico_principal->ViewValue = $this->Tipo_diagnostico_principal->CurrentValue;
		$this->Tipo_diagnostico_principal->ViewCustomAttributes = "";

		// Edad
		$this->Edad->ViewValue = $this->Edad->CurrentValue;
		$this->Edad->ViewCustomAttributes = "";

		// Unidad_edad
		$this->Unidad_edad->ViewValue = $this->Unidad_edad->CurrentValue;
		$this->Unidad_edad->ViewCustomAttributes = "";

		// Sexo
		$this->Sexo->ViewValue = $this->Sexo->CurrentValue;
		$this->Sexo->ViewCustomAttributes = "";

		// Zona_residencia
		$this->Zona_residencia->ViewValue = $this->Zona_residencia->CurrentValue;
		$this->Zona_residencia->ViewCustomAttributes = "";

		// Tipo_Usuario
		$this->Tipo_Usuario->ViewValue = $this->Tipo_Usuario->CurrentValue;
		$this->Tipo_Usuario->ViewCustomAttributes = "";

		// Codigo_eps
		$this->Codigo_eps->ViewValue = $this->Codigo_eps->CurrentValue;
		$this->Codigo_eps->ViewCustomAttributes = "";

		// Causa_Completa
		$this->Causa_Completa->ViewValue = $this->Causa_Completa->CurrentValue;
		$this->Causa_Completa->ViewCustomAttributes = "";

		// Id
		$this->Id->ViewValue = $this->Id->CurrentValue;
		$this->Id->ViewCustomAttributes = "";

		// Letra
		$this->Letra->ViewValue = $this->Letra->CurrentValue;
		$this->Letra->ViewCustomAttributes = "";

		// Numero
		$this->Numero->ViewValue = $this->Numero->CurrentValue;
		$this->Numero->ViewCustomAttributes = "";

		// Codigo_tres
		$this->Codigo_tres->ViewValue = $this->Codigo_tres->CurrentValue;
		$this->Codigo_tres->ViewCustomAttributes = "";

		// Titulo_codigo_tres
		$this->Titulo_codigo_tres->ViewValue = $this->Titulo_codigo_tres->CurrentValue;
		$this->Titulo_codigo_tres->ViewCustomAttributes = "";

			// ID_tabla
			$this->ID_tabla->LinkCustomAttributes = "";
			$this->ID_tabla->HrefValue = "";
			$this->ID_tabla->TooltipValue = "";

			// Codigo_prestador
			$this->Codigo_prestador->LinkCustomAttributes = "";
			$this->Codigo_prestador->HrefValue = "";
			$this->Codigo_prestador->TooltipValue = "";

			// Tipo_id_usuario
			$this->Tipo_id_usuario->LinkCustomAttributes = "";
			$this->Tipo_id_usuario->HrefValue = "";
			$this->Tipo_id_usuario->TooltipValue = "";

			// Numero_id_usuario
			$this->Numero_id_usuario->LinkCustomAttributes = "";
			$this->Numero_id_usuario->HrefValue = "";
			$this->Numero_id_usuario->TooltipValue = "";

			// Fecha_consulta
			$this->Fecha_consulta->LinkCustomAttributes = "";
			$this->Fecha_consulta->HrefValue = "";
			$this->Fecha_consulta->TooltipValue = "";

			// Codigo_consulta
			$this->Codigo_consulta->LinkCustomAttributes = "";
			$this->Codigo_consulta->HrefValue = "";
			$this->Codigo_consulta->TooltipValue = "";

			// Finalidad_consulta
			$this->Finalidad_consulta->LinkCustomAttributes = "";
			$this->Finalidad_consulta->HrefValue = "";
			$this->Finalidad_consulta->TooltipValue = "";

			// Causa_externa
			$this->Causa_externa->LinkCustomAttributes = "";
			$this->Causa_externa->HrefValue = "";
			$this->Causa_externa->TooltipValue = "";

			// Codigo_diagnostico
			$this->Codigo_diagnostico->LinkCustomAttributes = "";
			$this->Codigo_diagnostico->HrefValue = "";
			$this->Codigo_diagnostico->TooltipValue = "";

			// Tipo_diagnostico_principal
			$this->Tipo_diagnostico_principal->LinkCustomAttributes = "";
			$this->Tipo_diagnostico_principal->HrefValue = "";
			$this->Tipo_diagnostico_principal->TooltipValue = "";

			// Edad
			$this->Edad->LinkCustomAttributes = "";
			$this->Edad->HrefValue = "";
			$this->Edad->TooltipValue = "";

			// Unidad_edad
			$this->Unidad_edad->LinkCustomAttributes = "";
			$this->Unidad_edad->HrefValue = "";
			$this->Unidad_edad->TooltipValue = "";

			// Sexo
			$this->Sexo->LinkCustomAttributes = "";
			$this->Sexo->HrefValue = "";
			$this->Sexo->TooltipValue = "";

			// Zona_residencia
			$this->Zona_residencia->LinkCustomAttributes = "";
			$this->Zona_residencia->HrefValue = "";
			$this->Zona_residencia->TooltipValue = "";

			// Tipo_Usuario
			$this->Tipo_Usuario->LinkCustomAttributes = "";
			$this->Tipo_Usuario->HrefValue = "";
			$this->Tipo_Usuario->TooltipValue = "";

			// Codigo_eps
			$this->Codigo_eps->LinkCustomAttributes = "";
			$this->Codigo_eps->HrefValue = "";
			$this->Codigo_eps->TooltipValue = "";

			// Causa_Completa
			$this->Causa_Completa->LinkCustomAttributes = "";
			$this->Causa_Completa->HrefValue = "";
			$this->Causa_Completa->TooltipValue = "";

			// Id
			$this->Id->LinkCustomAttributes = "";
			$this->Id->HrefValue = "";
			$this->Id->TooltipValue = "";

			// Letra
			$this->Letra->LinkCustomAttributes = "";
			$this->Letra->HrefValue = "";
			$this->Letra->TooltipValue = "";

			// Numero
			$this->Numero->LinkCustomAttributes = "";
			$this->Numero->HrefValue = "";
			$this->Numero->TooltipValue = "";

			// Codigo_tres
			$this->Codigo_tres->LinkCustomAttributes = "";
			$this->Codigo_tres->HrefValue = "";
			$this->Codigo_tres->TooltipValue = "";

			// Titulo_codigo_tres
			$this->Titulo_codigo_tres->LinkCustomAttributes = "";
			$this->Titulo_codigo_tres->HrefValue = "";
			$this->Titulo_codigo_tres->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	//
	// Delete records based on current filter
	//
	function DeleteRows() {
		global $Language, $Security;
		$DeleteRows = TRUE;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE) {
			return FALSE;
		} elseif ($rs->EOF) {
			$this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
			$rs->Close();
			return FALSE;

		//} else {
		//	$this->LoadRowValues($rs); // Load row values

		}
		$rows = ($rs) ? $rs->GetRows() : array();
		$conn->BeginTrans();

		// Clone old rows
		$rsold = $rows;
		if ($rs)
			$rs->Close();

		// Call row deleting event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$DeleteRows = $this->Row_Deleting($row);
				if (!$DeleteRows) break;
			}
		}
		if ($DeleteRows) {
			$sKey = "";
			foreach ($rsold as $row) {
				$sThisKey = "";
				if ($sThisKey <> "") $sThisKey .= $GLOBALS["EW_COMPOSITE_KEY_SEPARATOR"];
				$sThisKey .= $row['ID_tabla'];
				$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
				$DeleteRows = $this->Delete($row); // Delete
				$conn->raiseErrorFn = '';
				if ($DeleteRows === FALSE)
					break;
				if ($sKey <> "") $sKey .= ", ";
				$sKey .= $sThisKey;
			}
		} else {

			// Set up error message
			if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

				// Use the message, do nothing
			} elseif ($this->CancelMessage <> "") {
				$this->setFailureMessage($this->CancelMessage);
				$this->CancelMessage = "";
			} else {
				$this->setFailureMessage($Language->Phrase("DeleteCancelled"));
			}
		}
		if ($DeleteRows) {
			$conn->CommitTrans(); // Commit the changes
		} else {
			$conn->RollbackTrans(); // Rollback changes
		}

		// Call Row Deleted event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$this->Row_Deleted($row);
			}
		}
		return $DeleteRows;
	}

	// Set up Breadcrumb
	function SetupBreadcrumb() {
		global $Breadcrumb, $Language;
		$Breadcrumb = new cBreadcrumb();
		$url = substr(ew_CurrentUrl(), strrpos(ew_CurrentUrl(), "/")+1);
		$Breadcrumb->Add("list", $this->TableVar, $this->AddMasterUrl("consulta_final_2018list.php"), "", $this->TableVar, TRUE);
		$PageId = "delete";
		$Breadcrumb->Add("delete", $PageId, $url);
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Render event
	function Page_Render() {

		//echo "Page Render";
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($consulta_final_2018_delete)) $consulta_final_2018_delete = new cconsulta_final_2018_delete();

// Page init
$consulta_final_2018_delete->Page_Init();

// Page main
$consulta_final_2018_delete->Page_Main();

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$consulta_final_2018_delete->Page_Render();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Form object
var CurrentPageID = EW_PAGE_ID = "delete";
var CurrentForm = fconsulta_final_2018delete = new ew_Form("fconsulta_final_2018delete", "delete");

// Form_CustomValidate event
fconsulta_final_2018delete.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
fconsulta_final_2018delete.ValidateRequired = true;
<?php } else { ?>
fconsulta_final_2018delete.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
// Form object for search

</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<div class="ewToolbar">
<?php $Breadcrumb->Render(); ?>
<?php echo $Language->SelectionForm(); ?>
<div class="clearfix"></div>
</div>
<?php $consulta_final_2018_delete->ShowPageHeader(); ?>
<?php
$consulta_final_2018_delete->ShowMessage();
?>
<form name="fconsulta_final_2018delete" id="fconsulta_final_2018delete" class="form-inline ewForm ewDeleteForm" action="<?php echo ew_CurrentPage() ?>" method="post">
<?php if ($consulta_final_2018_delete->CheckToken) { ?>
<input type="hidden" name="<?php echo EW_TOKEN_NAME ?>" value="<?php echo $consulta_final_2018_delete->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="consulta_final_2018">
<input type="hidden" name="a_delete" id="a_delete" value="D">
<?php foreach ($consulta_final_2018_delete->RecKeys as $key) { ?>
<?php $keyvalue = is_array($key) ? implode($EW_COMPOSITE_KEY_SEPARATOR, $key) : $key; ?>
<input type="hidden" name="key_m[]" value="<?php echo ew_HtmlEncode($keyvalue) ?>">
<?php } ?>
<div class="ewGrid">
<div class="<?php if (ew_IsResponsiveLayout()) { echo "table-responsive "; } ?>ewGridMiddlePanel">
<table class="table ewTable">
<?php echo $consulta_final_2018->TableCustomInnerHtml ?>
	<thead>
	<tr class="ewTableHeader">
<?php if ($consulta_final_2018->ID_tabla->Visible) { // ID_tabla ?>
		<th><span id="elh_consulta_final_2018_ID_tabla" class="consulta_final_2018_ID_tabla"><?php echo $consulta_final_2018->ID_tabla->FldCaption() ?></span></th>
<?php } ?>
<?php if ($consulta_final_2018->Codigo_prestador->Visible) { // Codigo_prestador ?>
		<th><span id="elh_consulta_final_2018_Codigo_prestador" class="consulta_final_2018_Codigo_prestador"><?php echo $consulta_final_2018->Codigo_prestador->FldCaption() ?></span></th>
<?php } ?>
<?php if ($consulta_final_2018->Tipo_id_usuario->Visible) { // Tipo_id_usuario ?>
		<th><span id="elh_consulta_final_2018_Tipo_id_usuario" class="consulta_final_2018_Tipo_id_usuario"><?php echo $consulta_final_2018->Tipo_id_usuario->FldCaption() ?></span></th>
<?php } ?>
<?php if ($consulta_final_2018->Numero_id_usuario->Visible) { // Numero_id_usuario ?>
		<th><span id="elh_consulta_final_2018_Numero_id_usuario" class="consulta_final_2018_Numero_id_usuario"><?php echo $consulta_final_2018->Numero_id_usuario->FldCaption() ?></span></th>
<?php } ?>
<?php if ($consulta_final_2018->Fecha_consulta->Visible) { // Fecha_consulta ?>
		<th><span id="elh_consulta_final_2018_Fecha_consulta" class="consulta_final_2018_Fecha_consulta"><?php echo $consulta_final_2018->Fecha_consulta->FldCaption() ?></span></th>
<?php } ?>
<?php if ($consulta_final_2018->Codigo_consulta->Visible) { // Codigo_consulta ?>
		<th><span id="elh_consulta_final_2018_Codigo_consulta" class="consulta_final_2018_Codigo_consulta"><?php echo $consulta_final_2018->Codigo_consulta->FldCaption() ?></span></th>
<?php } ?>
<?php if ($consulta_final_2018->Finalidad_consulta->Visible) { // Finalidad_consulta ?>
		<th><span id="elh_consulta_final_2018_Finalidad_consulta" class="consulta_final_2018_Finalidad_consulta"><?php echo $consulta_final_2018->Finalidad_consulta->FldCaption() ?></span></th>
<?php } ?>
<?php if ($consulta_final_2018->Causa_externa->Visible) { // Causa_externa ?>
		<th><span id="elh_consulta_final_2018_Causa_externa" class="consulta_final_2018_Causa_externa"><?php echo $consulta_final_2018->Causa_externa->FldCaption() ?></span></th>
<?php } ?>
<?php if ($consulta_final_2018->Codigo_diagnostico->Visible) { // Codigo_diagnostico ?>
		<th><span id="elh_consulta_final_2018_Codigo_diagnostico" class="consulta_final_2018_Codigo_diagnostico"><?php echo $consulta_final_2018->Codigo_diagnostico->FldCaption() ?></span></th>
<?php } ?>
<?php if ($consulta_final_2018->Tipo_diagnostico_principal->Visible) { // Tipo_diagnostico_principal ?>
		<th><span id="elh_consulta_final_2018_Tipo_diagnostico_principal" class="consulta_final_2018_Tipo_diagnostico_principal"><?php echo $consulta_final_2018->Tipo_diagnostico_principal->FldCaption() ?></span></th>
<?php } ?>
<?php if ($consulta_final_2018->Edad->Visible) { // Edad ?>
		<th><span id="elh_consulta_final_2018_Edad" class="consulta_final_2018_Edad"><?php echo $consulta_final_2018->Edad->FldCaption() ?></span></th>
<?php } ?>
<?php if ($consulta_final_2018->Unidad_edad->Visible) { // Unidad_edad ?>
		<th><span id="elh_consulta_final_2018_Unidad_edad" class="consulta_final_2018_Unidad_edad"><?php echo $consulta_final_2018->Unidad_edad->FldCaption() ?></span></th>
<?php } ?>
<?php if ($consulta_final_2018->Sexo->Visible) { // Sexo ?>
		<th><span id="elh_consulta_final_2018_Sexo" class="consulta_final_2018_Sexo"><?php echo $consulta_final_2018->Sexo->FldCaption() ?></span></th>
<?php } ?>
<?php if ($consulta_final_2018->Zona_residencia->Visible) { // Zona_residencia ?>
		<th><span id="elh_consulta_final_2018_Zona_residencia" class="consulta_final_2018_Zona_residencia"><?php echo $consulta_final_2018->Zona_residencia->FldCaption() ?></span></th>
<?php } ?>
<?php if ($consulta_final_2018->Tipo_Usuario->Visible) { // Tipo_Usuario ?>
		<th><span id="elh_consulta_final_2018_Tipo_Usuario" class="consulta_final_2018_Tipo_Usuario"><?php echo $consulta_final_2018->Tipo_Usuario->FldCaption() ?></span></th>
<?php } ?>
<?php if ($consulta_final_2018->Codigo_eps->Visible) { // Codigo_eps ?>
		<th><span id="elh_consulta_final_2018_Codigo_eps" class="consulta_final_2018_Codigo_eps"><?php echo $consulta_final_2018->Codigo_eps->FldCaption() ?></span></th>
<?php } ?>
<?php if ($consulta_final_2018->Causa_Completa->Visible) { // Causa_Completa ?>
		<th><span id="elh_consulta_final_2018_Causa_Completa" class="consulta_final_2018_Causa_Completa"><?php echo $consulta_final_2018->Causa_Completa->FldCaption() ?></span></th>
<?php } ?>
<?php if ($consulta_final_2018->Id->Visible) { // Id ?>
		<th><span id="elh_consulta_final_2018_Id" class="consulta_final_2018_Id"><?php echo $consulta_final_2018->Id->FldCaption() ?></span></th>
<?php } ?>
<?php if ($consulta_final_2018->Letra->Visible) { // Letra ?>
		<th><span id="elh_consulta_final_2018_Letra" class="consulta_final_2018_Letra"><?php echo $consulta_final_2018->Letra->FldCaption() ?></span></th>
<?php } ?>
<?php if ($consulta_final_2018->Numero->Visible) { // Numero ?>
		<th><span id="elh_consulta_final_2018_Numero" class="consulta_final_2018_Numero"><?php echo $consulta_final_2018->Numero->FldCaption() ?></span></th>
<?php } ?>
<?php if ($consulta_final_2018->Codigo_tres->Visible) { // Codigo_tres ?>
		<th><span id="elh_consulta_final_2018_Codigo_tres" class="consulta_final_2018_Codigo_tres"><?php echo $consulta_final_2018->Codigo_tres->FldCaption() ?></span></th>
<?php } ?>
<?php if ($consulta_final_2018->Titulo_codigo_tres->Visible) { // Titulo_codigo_tres ?>
		<th><span id="elh_consulta_final_2018_Titulo_codigo_tres" class="consulta_final_2018_Titulo_codigo_tres"><?php echo $consulta_final_2018->Titulo_codigo_tres->FldCaption() ?></span></th>
<?php } ?>
	</tr>
	</thead>
	<tbody>
<?php
$consulta_final_2018_delete->RecCnt = 0;
$i = 0;
while (!$consulta_final_2018_delete->Recordset->EOF) {
	$consulta_final_2018_delete->RecCnt++;
	$consulta_final_2018_delete->RowCnt++;

	// Set row properties
	$consulta_final_2018->ResetAttrs();
	$consulta_final_2018->RowType = EW_ROWTYPE_VIEW; // View

	// Get the field contents
	$consulta_final_2018_delete->LoadRowValues($consulta_final_2018_delete->Recordset);

	// Render row
	$consulta_final_2018_delete->RenderRow();
?>
	<tr<?php echo $consulta_final_2018->RowAttributes() ?>>
<?php if ($consulta_final_2018->ID_tabla->Visible) { // ID_tabla ?>
		<td<?php echo $consulta_final_2018->ID_tabla->CellAttributes() ?>>
<span id="el<?php echo $consulta_final_2018_delete->RowCnt ?>_consulta_final_2018_ID_tabla" class="consulta_final_2018_ID_tabla">
<span<?php echo $consulta_final_2018->ID_tabla->ViewAttributes() ?>>
<?php echo $consulta_final_2018->ID_tabla->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($consulta_final_2018->Codigo_prestador->Visible) { // Codigo_prestador ?>
		<td<?php echo $consulta_final_2018->Codigo_prestador->CellAttributes() ?>>
<span id="el<?php echo $consulta_final_2018_delete->RowCnt ?>_consulta_final_2018_Codigo_prestador" class="consulta_final_2018_Codigo_prestador">
<span<?php echo $consulta_final_2018->Codigo_prestador->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Codigo_prestador->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($consulta_final_2018->Tipo_id_usuario->Visible) { // Tipo_id_usuario ?>
		<td<?php echo $consulta_final_2018->Tipo_id_usuario->CellAttributes() ?>>
<span id="el<?php echo $consulta_final_2018_delete->RowCnt ?>_consulta_final_2018_Tipo_id_usuario" class="consulta_final_2018_Tipo_id_usuario">
<span<?php echo $consulta_final_2018->Tipo_id_usuario->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Tipo_id_usuario->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($consulta_final_2018->Numero_id_usuario->Visible) { // Numero_id_usuario ?>
		<td<?php echo $consulta_final_2018->Numero_id_usuario->CellAttributes() ?>>
<span id="el<?php echo $consulta_final_2018_delete->RowCnt ?>_consulta_final_2018_Numero_id_usuario" class="consulta_final_2018_Numero_id_usuario">
<span<?php echo $consulta_final_2018->Numero_id_usuario->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Numero_id_usuario->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($consulta_final_2018->Fecha_consulta->Visible) { // Fecha_consulta ?>
		<td<?php echo $consulta_final_2018->Fecha_consulta->CellAttributes() ?>>
<span id="el<?php echo $consulta_final_2018_delete->RowCnt ?>_consulta_final_2018_Fecha_consulta" class="consulta_final_2018_Fecha_consulta">
<span<?php echo $consulta_final_2018->Fecha_consulta->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Fecha_consulta->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($consulta_final_2018->Codigo_consulta->Visible) { // Codigo_consulta ?>
		<td<?php echo $consulta_final_2018->Codigo_consulta->CellAttributes() ?>>
<span id="el<?php echo $consulta_final_2018_delete->RowCnt ?>_consulta_final_2018_Codigo_consulta" class="consulta_final_2018_Codigo_consulta">
<span<?php echo $consulta_final_2018->Codigo_consulta->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Codigo_consulta->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($consulta_final_2018->Finalidad_consulta->Visible) { // Finalidad_consulta ?>
		<td<?php echo $consulta_final_2018->Finalidad_consulta->CellAttributes() ?>>
<span id="el<?php echo $consulta_final_2018_delete->RowCnt ?>_consulta_final_2018_Finalidad_consulta" class="consulta_final_2018_Finalidad_consulta">
<span<?php echo $consulta_final_2018->Finalidad_consulta->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Finalidad_consulta->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($consulta_final_2018->Causa_externa->Visible) { // Causa_externa ?>
		<td<?php echo $consulta_final_2018->Causa_externa->CellAttributes() ?>>
<span id="el<?php echo $consulta_final_2018_delete->RowCnt ?>_consulta_final_2018_Causa_externa" class="consulta_final_2018_Causa_externa">
<span<?php echo $consulta_final_2018->Causa_externa->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Causa_externa->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($consulta_final_2018->Codigo_diagnostico->Visible) { // Codigo_diagnostico ?>
		<td<?php echo $consulta_final_2018->Codigo_diagnostico->CellAttributes() ?>>
<span id="el<?php echo $consulta_final_2018_delete->RowCnt ?>_consulta_final_2018_Codigo_diagnostico" class="consulta_final_2018_Codigo_diagnostico">
<span<?php echo $consulta_final_2018->Codigo_diagnostico->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Codigo_diagnostico->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($consulta_final_2018->Tipo_diagnostico_principal->Visible) { // Tipo_diagnostico_principal ?>
		<td<?php echo $consulta_final_2018->Tipo_diagnostico_principal->CellAttributes() ?>>
<span id="el<?php echo $consulta_final_2018_delete->RowCnt ?>_consulta_final_2018_Tipo_diagnostico_principal" class="consulta_final_2018_Tipo_diagnostico_principal">
<span<?php echo $consulta_final_2018->Tipo_diagnostico_principal->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Tipo_diagnostico_principal->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($consulta_final_2018->Edad->Visible) { // Edad ?>
		<td<?php echo $consulta_final_2018->Edad->CellAttributes() ?>>
<span id="el<?php echo $consulta_final_2018_delete->RowCnt ?>_consulta_final_2018_Edad" class="consulta_final_2018_Edad">
<span<?php echo $consulta_final_2018->Edad->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Edad->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($consulta_final_2018->Unidad_edad->Visible) { // Unidad_edad ?>
		<td<?php echo $consulta_final_2018->Unidad_edad->CellAttributes() ?>>
<span id="el<?php echo $consulta_final_2018_delete->RowCnt ?>_consulta_final_2018_Unidad_edad" class="consulta_final_2018_Unidad_edad">
<span<?php echo $consulta_final_2018->Unidad_edad->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Unidad_edad->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($consulta_final_2018->Sexo->Visible) { // Sexo ?>
		<td<?php echo $consulta_final_2018->Sexo->CellAttributes() ?>>
<span id="el<?php echo $consulta_final_2018_delete->RowCnt ?>_consulta_final_2018_Sexo" class="consulta_final_2018_Sexo">
<span<?php echo $consulta_final_2018->Sexo->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Sexo->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($consulta_final_2018->Zona_residencia->Visible) { // Zona_residencia ?>
		<td<?php echo $consulta_final_2018->Zona_residencia->CellAttributes() ?>>
<span id="el<?php echo $consulta_final_2018_delete->RowCnt ?>_consulta_final_2018_Zona_residencia" class="consulta_final_2018_Zona_residencia">
<span<?php echo $consulta_final_2018->Zona_residencia->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Zona_residencia->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($consulta_final_2018->Tipo_Usuario->Visible) { // Tipo_Usuario ?>
		<td<?php echo $consulta_final_2018->Tipo_Usuario->CellAttributes() ?>>
<span id="el<?php echo $consulta_final_2018_delete->RowCnt ?>_consulta_final_2018_Tipo_Usuario" class="consulta_final_2018_Tipo_Usuario">
<span<?php echo $consulta_final_2018->Tipo_Usuario->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Tipo_Usuario->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($consulta_final_2018->Codigo_eps->Visible) { // Codigo_eps ?>
		<td<?php echo $consulta_final_2018->Codigo_eps->CellAttributes() ?>>
<span id="el<?php echo $consulta_final_2018_delete->RowCnt ?>_consulta_final_2018_Codigo_eps" class="consulta_final_2018_Codigo_eps">
<span<?php echo $consulta_final_2018->Codigo_eps->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Codigo_eps->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($consulta_final_2018->Causa_Completa->Visible) { // Causa_Completa ?>
		<td<?php echo $consulta_final_2018->Causa_Completa->CellAttributes() ?>>
<span id="el<?php echo $consulta_final_2018_delete->RowCnt ?>_consulta_final_2018_Causa_Completa" class="consulta_final_2018_Causa_Completa">
<span<?php echo $consulta_final_2018->Causa_Completa->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Causa_Completa->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($consulta_final_2018->Id->Visible) { // Id ?>
		<td<?php echo $consulta_final_2018->Id->CellAttributes() ?>>
<span id="el<?php echo $consulta_final_2018_delete->RowCnt ?>_consulta_final_2018_Id" class="consulta_final_2018_Id">
<span<?php echo $consulta_final_2018->Id->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Id->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($consulta_final_2018->Letra->Visible) { // Letra ?>
		<td<?php echo $consulta_final_2018->Letra->CellAttributes() ?>>
<span id="el<?php echo $consulta_final_2018_delete->RowCnt ?>_consulta_final_2018_Letra" class="consulta_final_2018_Letra">
<span<?php echo $consulta_final_2018->Letra->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Letra->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($consulta_final_2018->Numero->Visible) { // Numero ?>
		<td<?php echo $consulta_final_2018->Numero->CellAttributes() ?>>
<span id="el<?php echo $consulta_final_2018_delete->RowCnt ?>_consulta_final_2018_Numero" class="consulta_final_2018_Numero">
<span<?php echo $consulta_final_2018->Numero->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Numero->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($consulta_final_2018->Codigo_tres->Visible) { // Codigo_tres ?>
		<td<?php echo $consulta_final_2018->Codigo_tres->CellAttributes() ?>>
<span id="el<?php echo $consulta_final_2018_delete->RowCnt ?>_consulta_final_2018_Codigo_tres" class="consulta_final_2018_Codigo_tres">
<span<?php echo $consulta_final_2018->Codigo_tres->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Codigo_tres->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($consulta_final_2018->Titulo_codigo_tres->Visible) { // Titulo_codigo_tres ?>
		<td<?php echo $consulta_final_2018->Titulo_codigo_tres->CellAttributes() ?>>
<span id="el<?php echo $consulta_final_2018_delete->RowCnt ?>_consulta_final_2018_Titulo_codigo_tres" class="consulta_final_2018_Titulo_codigo_tres">
<span<?php echo $consulta_final_2018->Titulo_codigo_tres->ViewAttributes() ?>>
<?php echo $consulta_final_2018->Titulo_codigo_tres->ListViewValue() ?></span>
</span>
</td>
<?php } ?>
	</tr>
<?php
	$consulta_final_2018_delete->Recordset->MoveNext();
}
$consulta_final_2018_delete->Recordset->Close();
?>
</tbody>
</table>
</div>
</div>
<div>
<button class="btn btn-primary ewButton" name="btnAction" id="btnAction" type="submit"><?php echo $Language->Phrase("DeleteBtn") ?></button>
<button class="btn btn-default ewButton" name="btnCancel" id="btnCancel" type="button" data-href="<?php echo $consulta_final_2018_delete->getReturnUrl() ?>"><?php echo $Language->Phrase("CancelBtn") ?></button>
</div>
</form>
<script type="text/javascript">
fconsulta_final_2018delete.Init();
</script>
<?php
$consulta_final_2018_delete->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$consulta_final_2018_delete->Page_Terminate();
?>
